package de.hdm_stuttgart.battlearena.Model.Sound;

import java.io.IOException;
import java.net.MalformedURLException;
import java.nio.file.Path;
import java.util.List;

public interface ISoundManager {

    void playSound(String path, SFX soundEffect, boolean playLoop) throws InterruptedException, MalformedURLException;

    void playMusic (String musicPath);

    void playSoundEffect(SFX effects, boolean playLoop) throws InterruptedException, MalformedURLException;

    List<Path> getFilePathsFromResources(Path folderPath) throws IOException;

}
